> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mylifeforce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Patient Notes

> Returns a list of notes for a patient



## OpenAPI

````yaml GET /patient/{patientId}/notes
openapi: 3.0.1
info:
  title: Lifeforce Care Team API
  description: An API used by the Lifeforce care team portal to query patient data
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://om-staging.mylifeforce.com/api/m2m
security:
  - bearerAuth: []
paths:
  /patient/{patientId}/notes:
    get:
      description: Returns a list of notes for a patient
      parameters:
        - $ref: '#/components/parameters/PatientIdParam'
        - name: notes
          in: query
          required: true
          description: Comma-separated list of note types to include
          schema:
            $ref: '#/components/schemas/NoteTypeArray'
          style: form
          explode: false
        - name: take
          in: query
          required: false
          description: The number of notes to return
          schema:
            type: integer
            format: int32
        - name: locked
          in: query
          required: false
          description: Whether to return only locked notes
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              examples:
                notesList:
                  summary: Example notes list
                  value:
                    data:
                      - id: '6004582'
                        name: RG - Async Consultation/Recommendation
                        created_at: '2022-04-18T09:46:00Z'
                        locked_at: null
                        finished: true
                        custom_module_form:
                          id: '567345'
                          name: Initial Telehealth Note
                        filler:
                          id: '1143305'
                          first_name: Brett
                          last_name: Ulrich
                          avatar_url: >-
                            https://s3.amazonaws.com/healthie-production/image/1143305/medium/mountain_profile.jpeg
                        locked_by: null
                        form_answers:
                          - id: '910722521'
                            label: Skip Async Note
                            answer: 'True'
                            custom_module_id: '23218578'
                            custom_module:
                              mod_type: checkbox
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/PatientNote'
        '404':
          description: Patient or notes not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    PatientIdParam:
      name: patientId
      in: path
      description: The id of the patient in question
      required: true
      schema:
        $ref: '#/components/schemas/UUID'
  schemas:
    NoteTypeArray:
      type: array
      items:
        $ref: '#/components/schemas/NoteTypeEnum'
      example: FOLLOW_UP_CLINICAL_RX_RECOMMENDATION,HEALTH_COACH_QUARTERLY_NOTE
    PatientNote:
      type: object
      properties:
        id:
          type: string
          example: '6004582'
        name:
          type: string
          example: RG - Async Consultation/Recommendation
        created_at:
          $ref: '#/components/schemas/DateTime'
        locked_at:
          allOf:
            - $ref: '#/components/schemas/DateTime'
          nullable: true
          example: null
        finished:
          type: boolean
          example: true
        custom_module_form:
          $ref: '#/components/schemas/CustomModuleForm'
        filler:
          $ref: '#/components/schemas/Provider'
        locked_by:
          allOf:
            - $ref: '#/components/schemas/Provider'
          nullable: true
          example: null
        form_answers:
          type: array
          items:
            $ref: '#/components/schemas/FormAnswer'
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    UUID:
      type: string
      format: uuid
      example: 29ea9012-c622-4851-a57a-9327abd21198
      description: A universally unique identifier.
    NoteTypeEnum:
      type: string
      enum:
        - ASYNC_CONSULTATION
        - CLINICAL_RX_RECOMMENDATION
        - FOLLOW_UP_ASYNC_CONSULTATION
        - FOLLOW_UP_CLINICAL_RX_RECOMMENDATION
        - FOLLOWON_ASSESSMENT
        - FOLLOWUP_HQV3
        - HEALTH_COACH_QUARTERLY_NOTE
        - INITIAL_HQV3
        - INTAKE_ASSESSMENT
        - INTAKE_PLUS_CLINICAL_ASSESSMENT
        - INTERNAL_CLINICAL_NOTE
        - LIFESCORE
      example: ASYNC_CONSULTATION
    DateTime:
      type: string
      format: date-time
      example: '2022-04-18T09:46:00Z'
    CustomModuleForm:
      type: object
      properties:
        id:
          type: string
          example: '567345'
        name:
          type: string
          example: Initial Telehealth Note
    Provider:
      type: object
      properties:
        id:
          type: string
          example: '1143305'
        first_name:
          type: string
          example: Brett
        last_name:
          type: string
          example: Ulrich
        avatar_url:
          type: string
          format: uri
          example: >-
            https://s3.amazonaws.com/healthie-production/image/1143305/medium/mountain_profile.jpeg
    FormAnswer:
      type: object
      properties:
        id:
          type: string
          example: '910722521'
        label:
          type: string
          example: Skip Async Note
        answer:
          allOf:
            - type: string
          nullable: true
          example: 'True'
        custom_module_id:
          type: string
          example: '23218578'
        custom_module:
          $ref: '#/components/schemas/CustomModule'
    CustomModule:
      type: object
      properties:
        mod_type:
          type: string
          example: checkbox
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````